Anope IRC Services

Please login or register.

Login with username, password and session length
Advanced search  

News:

Pages: [1]   Go Down

Author Topic: Databases to new version of anope  (Read 2326 times)

0 Members and 1 Guest are viewing this topic.

andrew1974

  • Anope User
  • Offline Offline
  • Posts: 12
Databases to new version of anope
« on: February 25, 2008, 06:37:44 PM »

This is a problem i have when i upgraded to 1.7.21 from 1.6.5.

whn i moved over the databases to the new ver. anope didnt seem to reconize the databases. ithe bots i have from the old ver didnt show up when i ran 1.7.21, also the registered nick arnt there.

i looked at the logs and only seen this...

[Feb 24 18:57:21 2008] trying to load [os_info]
[Feb 24 18:57:21 2008] os_info: Loading configuration directives...
[Feb 24 18:57:21 2008] os_info: OSInfoDBName is not defined in Services configuration file, using default os_info.db
[Feb 24 18:57:21 2008] os_info: Directive OSInfoDBName loaded (os_info.db)...


this question was asked in the other topic but wanted to start a new thread here|:(
Logged

katsklaw

  • Guest
(No subject)
« Reply #1 on: February 25, 2008, 08:34:51 PM »

if you actually read what you pasted you'll find that it's not even an error. It's just some information for you to take note of. Please read stuff before hand.
Logged

andrew1974

  • Anope User
  • Offline Offline
  • Posts: 12
(No subject)
« Reply #2 on: February 25, 2008, 09:35:13 PM »

correct, however thats the only thing that i see as issue in the log, i just cant figure out how come the ver ver of anope isnt reconizing the old data bases
Logged

Jan Milants

  • Team
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 1372
(No subject)
« Reply #3 on: February 25, 2008, 09:56:42 PM »

run in debug: ./services -debug -nofork
Logged
If you like me donate coins to 1FBmZVT4J8WAUMHKqpWhgNVj3XXnRN1cCk :)

katsklaw

  • Guest
(No subject)
« Reply #4 on: February 25, 2008, 10:16:29 PM »

it's likely you chose the wrong encryption type. The old anope only had encrypted and un-encrypted. Anope 1.7.21 uses 4 types. See Changes.conf for details.

Anope 1.7.x uses the same db structure as anope 1.6.x, so it's not an issue of incompatibility.

[Edited on 25-2-2008 by katsklaw]
Logged

andrew1974

  • Anope User
  • Offline Offline
  • Posts: 12
(No subject)
« Reply #5 on: February 26, 2008, 06:46:11 PM »

well heres what i was doing wrong.....i was trying to move over the databases while anope was running. I shut down services and reloaded them and restarted. Bam worked fine
Logged
Pages: [1]   Go Up